Subject: Re: bug#14044: 24.2; Emacs 24 and dead keys in Fedora 18

From: Tassilo Horn <[email-masked]>
Date: Thu, 25 Apr 2013 20:25:09 +0200

Stefan Monnier <[email-masked]> writes:

>>> value of $LANG: fr_FR.UTF8
>> Could someone look into why "utf8" locales cause such problems, even
>> though "utf-8" locales work just fine?
>
> For what it's worth I can't reproduce it, here.
> I did the following:
>
>     xmodmap -e "keysym Left = dead_grave"
>     LANG="fr_CH.UTF8" emacs -Q
>
> and then tried dead-grave followed by e and it inserted "è" just as
> it should.  This was on Debian testing.

I also can't insert ` anymore, except with `M-x ucs-insert GRAVE ACCENT
RET'.  Typing ` (which is AltGr+< on my German Dvorak layout) messages
just

  <dead-grave> is undefined

% locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE=C
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

It used to work until one or two months ago.  At that time, I updated to
GNOME 3.6 from 3.4, and thought that would be the culprit.  Hence I
wrote this GNOME bug report:

  https://bugzilla.gnome.org/show_bug.cgi?id=691054

The problem only appears if I start GTK emacs from the GNOME dock, or
GNOME run dialog.  When I start it from a GNOME terminal, typing ` works
just fine.

There's a similar problem with Emacs on *BSD:

  http://comments.gmane.org/gmane.os.netbsd.devel.pkgsrc.user/16230

That could be solved by fixing some X config files.  However, on my
Gentoo GNU/Linux system, the file

  /usr/share/X11/locale/en_US.UTF-8/XI18N_OBJS

doesn't contain the line that's supposed to be changed by the patch
floating in that thread.

I'm happy to provide any further information that's needed.  Not being
able to type ` is really a pain in the ass. ;-)

Bye,
Tassilo